Evaluations API — Agentuity Documentation

Evaluations API

List and retrieve evaluations and their run history

List and retrieve evaluations and their run history.

https://catalyst-usw.agentuity.cloud

Authentication

All requests require a Bearer token. Pass your SDK key in the Authorization header.

HeaderValue
AuthorizationBearer YOUR_SDK_KEY

You can find your SDK key in the Agentuity Console under your project settings.


List Evaluations

List evaluations with optional filtering by organization, project, or agent.

GET/cli/eval
https://catalyst-usw.agentuity.cloud/cli/eval

Parameters

query
NameTypeRequiredDescription
orgIdstringNoFilter by organization ID
projectIdstringNoFilter by project ID
agentIdstringNoFilter by agent ID

Response

Array of evaluation objects.

StatusDescription
200Evaluations returned
401Unauthorized — invalid or missing Bearer token

Response Fields

FieldTypeDescription
idstringEvaluation ID
namestringEvaluation name
descriptionstring | nullEvaluation description
identifierstring | nullStable evaluation identifier
agentIdentifierstringAgent identifier
projectIdstringProject ID
devmodebooleanWhether this is a devmode evaluation
createdAtstringCreation timestamp
updatedAtstringLast updated timestamp

Example

curl -X GET 'https://catalyst-usw.agentuity.cloud/cli/eval' \
  -H 'Authorization: Bearer $AGENTUITY_SDK_KEY'

Get Evaluation

Get a specific evaluation by ID.

GET/cli/eval/{id}
https://catalyst-usw.agentuity.cloud/cli/eval/{id}

Parameters

path
NameTypeRequiredDescription
idstringYesEvaluation ID

Response

Evaluation object.

StatusDescription
200Evaluation returned
401Unauthorized — invalid or missing Bearer token
404Evaluation not found

Example

curl -X GET 'https://catalyst-usw.agentuity.cloud/cli/eval/eval_abc123' \
  -H 'Authorization: Bearer $AGENTUITY_SDK_KEY'

Eval Runs

List Eval Runs

List evaluation runs with optional filtering.

GET/cli/eval-run
https://catalyst-usw.agentuity.cloud/cli/eval-run

Parameters

query
NameTypeRequiredDescription
orgIdstringNoFilter by organization ID
projectIdstringNoFilter by project ID
agentIdstringNoFilter by agent ID
evalIdstringNoFilter by evaluation ID
sessionIdstringNoFilter by session ID

Response

Array of evaluation run objects.

StatusDescription
200Eval runs returned
401Unauthorized — invalid or missing Bearer token

Response Fields

FieldTypeDescription
idstringEval run ID
sessionIdstringSession ID
evalIdstringEvaluation record ID
evalIdentifierstring | nullStable evaluation identifier
evalNamestring | nullEvaluation name
agentIdentifierstring | nullAgent identifier
projectIdstringProject ID
deploymentIdstring | nullDeployment ID
devmodebooleanWhether this is a devmode run
pendingbooleanWhether the eval run is pending
successbooleanWhether the eval run succeeded
errorstring | nullError message if failed
resultany | nullEval run result
createdAtstringCreation timestamp
updatedAtstringLast updated timestamp

Example

curl -X GET 'https://catalyst-usw.agentuity.cloud/cli/eval-run' \
  -H 'Authorization: Bearer $AGENTUITY_SDK_KEY'

Get Eval Run

Get a specific evaluation run by ID.

GET/cli/eval-run/{id}
https://catalyst-usw.agentuity.cloud/cli/eval-run/{id}

Parameters

path
NameTypeRequiredDescription
idstringYesEval run ID

Response

Evaluation run object.

StatusDescription
200Eval run returned
401Unauthorized — invalid or missing Bearer token
404Eval run not found

Example

curl -X GET 'https://catalyst-usw.agentuity.cloud/cli/eval-run/er_abc123' \
  -H 'Authorization: Bearer $AGENTUITY_SDK_KEY'